--- nrpe-2.6.orig/src/nrpe.c	2006-12-11 21:04:00.000000000 -0500
+++ nrpe-2.6/src/nrpe.c	2007-02-01 23:43:05.000000000 -0500
@@ -413,15 +413,15 @@
 
 			/* process the config directory... */
 			if(read_config_dir(config_file)==ERROR)
-				break;
-		        }
+				syslog(LOG_ERR,"Continuing with errors...");
+			}
 
 		/* allow users to specify individual config files to include */
 		else if(!strcmp(varname,"include") || !strcmp(varname,"include_file")){
 
 			/* process the config file... */
 			if(read_config_file(varvalue)==ERROR)
-				break;
+				syslog(LOG_ERR,"Continuing with errors...");
 		        }
 
 		else if(!strcmp(varname,"server_port")){
--- nrpe-2.6.orig/configure.in	2006-12-11 21:03:59.000000000 -0500
+++ nrpe-2.6/configure.in	2007-02-02 00:21:17.000000000 -0500
@@ -168,10 +168,9 @@
 	],check_for_ssl=yes)
 
 dnl Optional SSL library and include paths
-ssl_lib_dir=
 ssl_inc_dir=
-AC_ARG_WITH(ssl-lib,--with-ssl-lib=DIR sets location of the SSL library,[
-	ssl_lib_dir=$withval
+AC_ARG_WITH(ssl,--with-ssl=DIR sets location of the SSL installation,[
+	ssl_dir=$withval
 	])
 AC_ARG_WITH(ssl-inc,--with-ssl-inc=DIR sets location of the SSL include files,[
 	ssl_inc_dir=$withval
@@ -185,16 +184,28 @@
 if test x$check_for_ssl = xyes; then
 	AC_MSG_CHECKING(for SSL)
 	found_ssl=no
-	for dir in $ssl_inc_dir /usr/local/openssl /usr/local/ssl /usr/lib/ssl /usr/ssl /usr/pkg /usr/local /usr /usr/freeware/lib/openssl; do
+	for dir in $ssl_inc_dir $ssl_dir /usr/local/openssl /usr/local/ssl /usr/lib/ssl /usr/ssl /usr/pkg /usr/local /usr /usr/freeware/lib/openssl; do
 		ssldir="$dir"
 		if test -f "$dir/include/openssl/ssl.h"; then
 			found_ssl=yes
-			CFLAGS="$CFLAGS -I$ssldir/include/openssl -I$ssldir/include"
+			CFLAGS="$CFLAGS -I$dir/include/openssl -I$ssldir/include"
 		        break
 		fi
 		if test -f "$dir/include/ssl.h"; then
 			found_ssl=yes
-			CFLAGS="$CFLAGS -I$ssldir/include"
+			CFLAGS="$CFLAGS -I$dir/include"
+		        break
+		fi
+		if test -f "$dir/ssl.h"; then
+			found_ssl=yes
+			CFLAGS="$CFLAGS -I$dir/include"
+			ssldir="$dir/.."
+		        break
+		fi
+		if test -f "$dir/openssl/ssl.h"; then
+			found_ssl=yes
+			CFLAGS="$CFLAGS -I$dir/include"
+			ssldir="$dir/.."
 		        break
 		fi
 	done
